org.keycloak.keys

## Class AbstractRsaKeyProvider

- java.lang.Object
- - org.keycloak.keys.AbstractRsaKeyProvider

- All Implemented Interfaces:
    KeyProvider, Provider
  Direct Known Subclasses:
    ImportedRsaKeyProvider, JavaKeystoreKeyProvider

      public abstract class AbstractRsaKeyProvider
      extends Object
      implements KeyProvider

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRsaKeyProvider(RealmModel realm, ComponentModel model)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected KeyWrapper` | `createKeyWrapper(KeyPair keyPair, X509Certificate certificate, KeyUse keyUse)`
    `protected KeyWrapper` | `createKeyWrapper(KeyPair keyPair, X509Certificate certificate, List<X509Certificate> certificateChain, KeyUse keyUse)`
    `Stream<KeyWrapper>` | `getKeysStream()` Returns the `KeyWrapper` for a `KeyProvider`.
    `protected abstract KeyWrapper` | `loadKey(RealmModel realm, ComponentModel model)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.keys.KeyProvider

      `close, getKeys`

- - ### Constructor Detail

    - #### AbstractRsaKeyProvider

          public AbstractRsaKeyProvider(RealmModel realm,
                                        ComponentModel model)

  - ### Method Detail

    - #### loadKey

          protected abstract KeyWrapper loadKey(RealmModel realm,
                                                ComponentModel model)

    - #### getKeysStream

          public Stream<KeyWrapper> getKeysStream()

      Description copied from interface: `KeyProvider`
      Returns the `KeyWrapper` for a `KeyProvider`.
      Specified by:
        `getKeysStream` in interface `KeyProvider`
      Returns:
        Returns the `KeyWrapper` for a `KeyProvider`.

    - #### createKeyWrapper

          protected KeyWrapper createKeyWrapper(KeyPair keyPair,
                                                X509Certificate certificate,
                                                KeyUse keyUse)

    - #### createKeyWrapper

          protected KeyWrapper createKeyWrapper(KeyPair keyPair,
                                                X509Certificate certificate,
                                                List<X509Certificate> certificateChain,
                                                KeyUse keyUse)

Copyright © 2021 JBoss by Red Hat. All rights reserved.